#include<stdio.h>
int main()
{
  int n, i, j, k, nTrenutno = 0, razmak=0;
  scanf("%d",&n);
  if(n<=0)
    printf("-1\n");
  else
  {
    nTrenutno = n;
    for (i=0;i<n;i++)
    {
      for (k=0;k<razmak;k++)
      {
       printf(" ");
      }
      
      for (j=0;j<nTrenutno;j++)
      {
       printf("*");
       if(j!=nTrenutno-1)
	 printf("-");
      }
      razmak++;
      nTrenutno--;
      printf("\n");
    }
  }
  return 0;
}
